# makefile
# This is the makefile for DOS
#
#########################################################################
# Needed for LREADsrv, if you want to access LINUX files from remote clients

# If you use Borland's C 32bit Compiler (tested with BC 4.52, 5.0),
# uncomment the following 3 lines:
#CC32=bcc32
#LKFLAGS=-C -3 -wall -N -DSTRICT $(WIN) $(MODEL) -O2
#CCFLAGS= -c $(LKFLAGS)

#------------------------------------------------------------------------
# If you use Microsoft's C++ Compiler (tested with CL V11.0 as of
# Visual Studio V5.0, uncomment the following 3 lines:
CC32=cl
LKFLAGS=wsock32.lib
CCFLAGS=-c

#
##########################################################################

####no user configurable items below this line############################

lreadsrv:       32bitObj
                $(CC32) $(LKFLAGS) LREADsrv.c
                @if exist ..\bin\LREADsrv.exe  del ..\bin\LREADsrv.exe
                @move LREADsrv.exe ..\bin
		@copy ZZZ*.htm ..\bin
		@copy ZZZ*.gif ..\bin

32bitObj:       LREADsrv.obj


LREADsrv.obj:   $(INCLUDES) LREADsrv.c
                $(CC32) $(CCFLAGS) LREADsrv.c

clean:
		@if exist *.obj   del *.obj
		@if exist *.sym   del *.sym
		@if exist *.bak   del *.bak
		@if exist *.exe   del *.exe
		@if exist zzz.zwz del zzz.zwz
		@if exist ..\bin\zzz.zwz del ..\bin\zzz.zwz
